[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Logging](../../index.md) > API reference > [REST](../index.md) > [LogGroup](index.md) > Get

# Cloud Logging Service, REST: LogGroup.Get

Returns the specified log group.
To get the list of all available log groups, make a [List](list.md#List) request.

## HTTP request

```
GET https://logging.api.cloud.yandex.net/logging/v1/logGroups/{logGroupId}
```

## Path parameters

#|
||Field | Description ||
|| logGroupId | **string**

Required field. ID of the log group to return.
To get a log group ID make a [LogGroupService.List](list.md#List) request.

The maximum string length in characters is 64. ||
|#

## Response {#yandex.cloud.logging.v1.LogGroup}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "folderId": "string",
  "cloudId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "status": "string",
  "retentionPeriod": "string",
  "dataStream": "string"
}
```

#|
||Field | Description ||
|| id | **string**

Log group ID. ||
|| folderId | **string**

Log group folder ID. ||
|| cloudId | **string**

Log group cloud ID. ||
|| createdAt | **string** (date-time)

Log group creation time.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| name | **string**

Log group name. ||
|| description | **string**

Log group description. ||
|| labels | **object** (map<**string**, **string**>)

Log group labels. ||
|| status | **enum** (Status)

Status of the log group.

- `CREATING`: Log group is creating.
- `ACTIVE`: Log group is ready to accept messages,
- `DELETING`: Log group is being deleted.
No messages will be accepted.
- `ERROR`: Log group is in failed state. ||
|| retentionPeriod | **string** (duration)

Log group entry retention period.
Entries will be present in group during this period. ||
|| dataStream | **string**

Data stream name ||
|#